#include "Musiker.h"
#include "Musikinstrument.h"
#include <iostream>
#include <string>
using namespace std;

Musiker::Musiker() { cout << "Konstruktor: Musiker()" << endl; }
Musiker::Musiker(string name) {
  this->name = name;
  cout << "Konstruktor: Musiker(string name): " << name << endl;
}
Musiker::~Musiker() {
  cout << "Destruktor: ~Musiker() : " << name << endl;
  delete this->instrument;
}
string Musiker::liefereName() { return name; }
void Musiker::spielen() const {
  cout << name << " spielt " << instrument->liefereName() << endl;
  this->instrument->spielen();
}
void Musiker::weiseInstrumentZu(Musikinstrument const *instrument) {
  this->instrument = instrument;
  cout << name << " erhält " << instrument->liefereName() << endl;
}
